1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.4 Is there a "need" to upgrade?

Discussion in 'Installation, Upgrade, and Import Support' started by MarkMark, Sep 30, 2015.

  1. MarkMark

    MarkMark Member

    Currently running 1.4, and have seen that 1.5 is now available. I don't need any of the new functionality, and I'm a little bit wary of the upgrade as I've done some bespoke development which may cause issues if I now upgrade.

    I guess what I'm asking is - did the latest version fix any security issues, or was it all about increased functionality. If it's strongly suggested that I upgrade, I will - but don't want to waste my time if it isn't really essential.
  2. Jeremy P

    Jeremy P Well-Known Member

    Any security issues would have a patched released for earlier versions for users unable to upgrade due to expired licenses, etc. As long as you're on the latest 1.4.x, you're not missing out on any (available) bugfixes from that version either.

    So no, it's not really necessary, though for support and bugfixes going forward you should probably should consider it eventually. Add-ons (even custom) are unlikely to be incompatible unless they involved one of the features that was modified/added or did something tricky to the core of the platform.

Share This Page